package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 设备配置表
 * </p>
 *
 * @author jobob
 * @since 2019-05-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_configuration")
public class TpConfiguration implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer configurationId;

    /**
     * 配置key
     */
    private String key;

    /**
     * 配置项名称
     */
    private String configurationName;

    /**
     * 配置类型: 1字符串  2多列值
     */
    private Integer configurationType;

    /**
     * 配置值
     */
    private String configurationValue;

    /**
     * 创建时间
     */
    private Date createTiem;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 修改人
     */
    private Integer updateUser;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 门禁点UUID
     */
    @TableField("doorUuid")
    private String doorUuid;

    /**
     * 门禁设备UUID
     */
    @TableField("deviceUuid")
    private String deviceUuid;


}
